#
# spec file for package dumb
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dumb
Summary:        IT, XM, S3M and MOD player library
License:        Zlib
Group:          Productivity/Multimedia/Other
## fedora is using "zlib", too --seife
Url:            http://dumb.sourceforge.net
Version:        0.9.3
Release:        lp150.1.4
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-%{version}-autotools.tar.bz2
Source2:        license-clarification.eml
Patch0:         %{name}-%{version}-CVE-2006-3668.patch
Patch1:         %{name}-%{version}-license-clarification.patch
Patch2:         %{name}-%{version}-DT_NEEDED.patch
Patch3:         %{name}-%{version}-example.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  liballeg-devel

%description
IT, XM, S3M and MOD player library. Mainly targeted for use with the
allegro game programming library, but it can be used without allegro.
Faithful to the original trackers, especially IT.

%package -n lib%{name}-0_9_3
Summary:        Tracker module player library
Group:          System/Libraries

%description -n lib%{name}-0_9_3
IT, XM, S3M and MOD player library. Mainly targeted for use with the
allegro game programming library, but it can be used without allegro.
Faithful to the original trackers, especially IT.

This package contains the shared libraries for dumb.

%package -n lib%{name}-devel
Summary:        Development libraries and headers for libdumb
Group:          Development/Libraries/C and C++
Requires:       lib%{name}-0_9_3 = %{version}

%description -n lib%{name}-devel
The development files that must be installed in order to compile
applications which use libdumb.

%package -n libaldmb-0_9_3
Summary:        Library to play tracker files through Allego audio streams
Group:          System/Libraries
Provides:       lib%{name}-0_9_3:%{_libdir}/libaldmb-%{version}.so

%description -n libaldmb-0_9_3
IT, XM, S3M and MOD player library. Mainly targeted for use with the
allegro game programming library.
Faithful to the original trackers, especially IT.

This package contains the shared libraries for aldmb.

%package -n libaldmb-devel
Summary:        Development libraries and headers for libaldmb
Group:          Development/Libraries/C and C++
Requires:       lib%{name}-devel = %{version}
Requires:       libaldmb-0_9_3 = %{version}
Provides:       lib%{name}-devel:%{_includedir}/aldumb.h

%description -n libaldmb-devel
The development files that must be installed in order to compile
applications which use libaldmb.

%package -n %{name}-doc
Summary:        Doc Package for Dumb
Group:          Documentation/Other
Requires:       %{name} = %{version}

%description -n %{name}-doc
IT, XM, S3M and MOD player library. Mainly targeted for use with the
allegro game programming library, but it can be used without allegro.
Faithful to the original trackers, especially IT.

This package contains the docs for dumb.

%prep
%setup -q -b01
%patch0
%patch1
%patch2
%patch3
cp -p %{SOURCE2} .

%build
%configure \
	--disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
rm %{buildroot}%{_libdir}/*.la
rm -rf examples/{Makefile*,*.o,dumb{2wav,out,play},.{deps,libs}}
rm -f docs/Makefile*

%post -n libdumb-0_9_3 -p /sbin/ldconfig

%postun -n libdumb-0_9_3 -p /sbin/ldconfig

%post -n libaldmb-0_9_3 -p /sbin/ldconfig

%postun -n libaldmb-0_9_3 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/%{name}2wav
%{_bindir}/%{name}out
%{_bindir}/%{name}play

%files -n lib%{name}-0_9_3
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{version}.so

%files -n libaldmb-0_9_3
%defattr(-,root,root)
%{_libdir}/libaldmb-%{version}.so

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/dumb.h
%{_libdir}/lib%{name}.so

%files -n libaldmb-devel
%defattr(-,root,root)
%{_includedir}/aldumb.h
%{_libdir}/libaldmb.so

%files -n %{name}-doc
%defattr(-,root,root)
%doc *.txt license-clarification.eml
%doc docs
%doc examples

%changelog
* Sat Jul  8 2017 jengelh@inai.de
- Replace %%__-type macro indirections
- Rectify wrong summaries
* Sun Jun 30 2013 seife+obs@b1-systems.com
- use "zlib" license as fedora does to allow build
* Mon Feb 21 2011 reddwarf@opensuse.org
- Split dumb from aldmb since allegro5 now uses dumb
* Sat Jul  3 2010 cmorve69@yahoo.es
- Fix DT_NEEDED entries
* Fri Oct 16 2009 saigkill@opensuse.org
- Reworked Spec (Provides/Obsoletes)
* Sun Mar  8 2009 saigkill@opensuse.org
- fixed $LDFLAGS to change the execstac
* Sun Mar  8 2009 saigkill@opensuse.org
- initial Package for openSUSE Build Service based on
  Packman Spec.
* Fri Feb  1 2008 toni@links2linux.de
- First packaged release 0.9.3 based on fedora-spec
  Tue Aug  7 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.3
